{{/* Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. */}}

Key | Default | Type | Description
--- | --- | --- | ---

##### fs.allow-hadoop-fallback

true

Boolean

Allow to fallback to hadoop File IO when no file io found for the scheme.

##### lineage-meta

(none)

String

The lineage meta to store table and data lineage information.
Possible values:

- "jdbc": Use standard jdbc to store table and data lineage information.

- "custom": You can implement LineageMetaFactory and LineageMeta to store lineage information in customized storage.

##### lock-acquire-timeout

8 min

Duration

The maximum time to wait for acquiring the lock.

##### lock-check-max-sleep

8 s

Duration

The maximum sleep time when retrying to check the lock.

##### lock.enabled

false

Boolean

Enable Catalog Lock.

##### metastore

"filesystem"

String

Metastore of paimon catalog, supports filesystem and hive.

##### table.type

managed

Enum

Type of table.
Possible values:

- "managed": Paimon owned table where the entire lifecycle of the table data is managed.
- "external": The table where Paimon has loose coupling with the data stored in external locations.

##### uri

(none)

String

Uri of metastore server.

##### warehouse

(none)

String

The warehouse root path of catalog.